org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters

## Interface IDeactivableDiffFilter

All Superinterfaces:
  IDifferenceFilter

All Known Implementing Classes:
  AbstractDifferenceFilter, CascadingDifferencesFilter, TechnicalitiesFilter

    public interface IDeactivableDiffFilter
    extends IDifferenceFilter

A `IDifferenceFilter` that can be fully deactivated in the preferences.

Since:
  4.3

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters.IDifferenceFilter

`IDifferenceFilter.Registry`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isActive()` Whether the filter is enabled, i.e. will be taken into account in computations and displayed in the UI.
`void` `setActive(boolean active)` Set the activation of the filter.

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters.IDifferenceFilter

`defaultSelected, getDescription, getLabel, getPredicateWhenSelected, getPredicateWhenUnselected, isEnabled, setDefaultSelected, setDescription, setLabel`

### Method Detail

#### isActive

    boolean isActive()

Whether the filter is enabled, i.e. will be taken into account in computations and displayed in the UI.

Returns:
  The enablement of the filter.

#### setActive

    void setActive(boolean active)

Set the activation of the filter.

Parameters:
  `active` - Whether the filter should be active